<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="apple-touch-icon" sizes="76x76" href="{{ config.ASSETS_ROOT }}/img/apple-icon.png">
    <link rel="icon" type="image/png" href="{{ config.ASSETS_ROOT }}/img/favicon.png">

    <title>
        Admin Interface - {% block title %}{% endblock %}
    </title>

    <!--     Fonts and icons from Fontawesome    -->
    <script src="https://kit.fontawesome.com/92e5d32009.js" crossorigin="anonymous"></script>

    <!-- Link to Bootstrap CSS -->
    <link href="{{ config.ASSETS_ROOT }}/css/bootstrap.min.css" rel="stylesheet"/>
    <link href="{{ config.ASSETS_ROOT }}/css/style.css" rel="stylesheet"/>

    <!-- Specific Page CSS goes HERE  -->
    {% block stylesheets %}{% endblock stylesheets %}

    <!-- Javascript  -->
    <script src="{{ config.ASSETS_ROOT }}/js/jquery-3.6.4.min.js"></script>
    <script src="{{ config.ASSETS_ROOT }}/js/bootstrap.bundle.min.js"></script>
    <script src="/header.js"></script>

</head>
<body class="">
    <nav class="rps-header" id="rps-header"></nav>

    <div class="wrapper">

        {% include 'includes/navigation.html' %}

        <div class="container-md py-3 min-vh-100">

            {% include 'includes/alert.html' %}

            {% block content %}{% endblock content %}
        </div>

        {% if config['DEBUG'] == True %}
            <p>{{config}}</p>
        {% endif %}

    </div>


    <script>
        // Close alert after 4 seconds
        $(".alert-dismissible").delay(4000).slideUp(500, function() {
            $(this).alert('close');
        });

    </script>

    <!-- Specific Page JS goes HERE  -->
    {% block javascripts %}{% endblock javascripts %}


</body>
</html>
